#TODO: BR: perl(Fennec::Declare) when available,
# guarded by %{?perl_bootstrap} since it requires perl(Fennec) itself

Name:		perl-Fennec
Version:	2.010
Release:	3%{?dist}
Summary:	A tester's toolbox, and best friend
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		https://metacpan.org/release/Fennec
Source0:	http://cpan.metacpan.org/authors/id/E/EX/EXODIST/Fennec-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	perl(Module::Build) >= 0.40
# Module Runtime
BuildRequires:	perl(B)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Child)
BuildRequires:	perl(Exporter::Declare)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Mock::Quick) >= 1.106
BuildRequires:	perl(Parallel::Runner) >= 0.013
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder) >= 0.88
BuildRequires:	perl(Test::Exception) >= 0.29
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(Test::Simple) >= 0.88
BuildRequires:	perl(Test::Warn)
BuildRequires:	perl(utf8)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::Pod) >= 1.00
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Child)
Requires:	perl(Mock::Quick) >= 1.106
Requires:	perl(Test::Exception) >= 0.29
Requires:	perl(Test::More) >= 0.88
Requires:	perl(Test::Warn)
Requires:	perl(utf8)

%description
Fennec ties together several testing-related modules and enhances their
functionality in ways you don't get loading them individually. Fennec
makes testing easier, and more useful.

%prep
%setup -q -n Fennec-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
./Build test

%files
%doc CHANGES README
%{perl_vendorlib}/Fennec.pm
%dir %{perl_vendorlib}/Fennec/
%{perl_vendorlib}/Fennec/Collector.pm
%{perl_vendorlib}/Fennec/Collector/
%{perl_vendorlib}/Fennec/EndRunner.pm
%{perl_vendorlib}/Fennec/Finder.pm
%doc %{perl_vendorlib}/Fennec/Manual.pod
%dir %{perl_vendorlib}/Fennec/Manual/
%doc %{perl_vendorlib}/Fennec/Manual/CustomFennec.pod
%{perl_vendorlib}/Fennec/Meta.pm
%{perl_vendorlib}/Fennec/Runner.pm
%{perl_vendorlib}/Fennec/Test.pm
%{perl_vendorlib}/Fennec/Util.pm
%{perl_vendorlib}/Test/
%{_mandir}/man3/Fennec.3pm*
%{_mandir}/man3/Fennec::Collector.3pm*
%{_mandir}/man3/Fennec::Collector::TB.3pm*
%{_mandir}/man3/Fennec::Collector::TB::TempFiles.3pm*
%{_mandir}/man3/Fennec::EndRunner.3pm*
%{_mandir}/man3/Fennec::Finder.3pm*
%{_mandir}/man3/Fennec::Manual.3pm*
%{_mandir}/man3/Fennec::Manual::CustomFennec.3pm*
%{_mandir}/man3/Fennec::Meta.3pm*
%{_mandir}/man3/Fennec::Runner.3pm*
%{_mandir}/man3/Fennec::Test.3pm*
%{_mandir}/man3/Fennec::Util.3pm*
%{_mandir}/man3/Test::Workflow.3pm*
%{_mandir}/man3/Test::Workflow::Block.3pm*
%{_mandir}/man3/Test::Workflow::Layer.3pm*
%{_mandir}/man3/Test::Workflow::Meta.3pm*
%{_mandir}/man3/Test::Workflow::Test.3pm*

%changelog
* Mon Sep  2 2013 Paul Howarth <paul@city-fan.org> - 2.010-3
- BR: perl(lib) and perl(Data::Dumper) (#997554)

* Thu Aug 15 2013 Paul Howarth <paul@city-fan.org> - 2.010-2
- Sanitize for Fedora submission

* Thu Aug 15 2013 Paul Howarth <paul@city-fan.org> - 2.010-1
- Initial RPM version
